desc_frequency_list.h File Reference
Parsers for several MPEG-TS descriptors

Provides the descriptors for the frequency list descriptor. More...

`#include <libdvbv5/descriptors.h>`

Go to the source code of this file.

## Data Structures

struct | dvb_desc_frequency_list
| Struct containing the frequency list descriptor. More...

## Functions

int | dvb_desc_frequency_list_init (struct dvb_v5_fe_parms *parms, const uint8_t *buf, struct dvb_desc *desc)
| Initializes and parses the frequency list descriptor.
void | dvb_desc_frequency_list_print (struct dvb_v5_fe_parms *parms, const struct dvb_desc *desc)
| Prints the content of the frequency list descriptor.

## Detailed Description

Provides the descriptors for the frequency list descriptor.

This descriptor lists the additional frequencies used in transmission of a multiplex on other frequencies.

Copyright
  GNU Lesser General Public License version 2.1 (LGPLv2.1)

Author
  Mauro Carvalho Chehab
  Andre Roth

Relevant specs
  The descriptor described herein is defined at:
  - ETSI EN 300 468 V1.11.1

Bug Report
  Please submit bug reports and patches to linux.nosp@m.-med.nosp@m.ia@vg.nosp@m.er.k.nosp@m.ernel.nosp@m..org

Definition in file desc_frequency_list.h.